package WEB-INF.classes.wenrgise.hrms.bean;

import java.io.Serializable;
import wenrgise.common.bean.BaseDetailBean;

public class HrmPrmViewAssDtlBean extends BaseDetailBean implements Serializable {
  private String txtEmpNo;
  
  private String txtEmpName;
  
  private String txtFromPosCode;
  
  private String txtScale;
  
  private String txtSrvYrs;
  
  private String txtCurrSrvYrs;
  
  private String txtSrvYrsPoints;
  
  private String txtAvgAparPts;
  
  private String txtWrittenTestMarks;
  
  private String txtWrittenTestPts;
  
  private String txtGDMarks;
  
  private String txtGDPts;
  
  private String txtInterviewMarks;
  
  private String txtInterviewPts;
  
  private String txtTotalPtsAwarded;
  
  private boolean txtEligProm;
  
  String employeeId;
  
  String hdnPrevDtlId;
  
  private String txtAparPts;
  
  private String hdnPromEligibility;
  
  private String positionId;
  
  private String scaleId;
  
  String headerPositionId;
  
  public String getTxtEmpNo() {
    return this.txtEmpNo;
  }
  
  public void setTxtEmpNo(String newTxtEmpNo) {
    this.txtEmpNo = newTxtEmpNo;
  }
  
  public String getTxtEmpName() {
    return this.txtEmpName;
  }
  
  public void setTxtEmpName(String newTxtEmpName) {
    this.txtEmpName = newTxtEmpName;
  }
  
  public String getTxtFromPosCode() {
    return this.txtFromPosCode;
  }
  
  public void setTxtFromPosCode(String newTxtFromPosCode) {
    this.txtFromPosCode = newTxtFromPosCode;
  }
  
  public String getTxtScale() {
    return this.txtScale;
  }
  
  public void setTxtScale(String newTxtScale) {
    this.txtScale = newTxtScale;
  }
  
  public String getTxtSrvYrs() {
    return this.txtSrvYrs;
  }
  
  public void setTxtSrvYrs(String newTxtSrvYrs) {
    this.txtSrvYrs = newTxtSrvYrs;
  }
  
  public String getTxtCurrSrvYrs() {
    return this.txtCurrSrvYrs;
  }
  
  public void setTxtCurrSrvYrs(String newTxtCurrSrvYrs) {
    this.txtCurrSrvYrs = newTxtCurrSrvYrs;
  }
  
  public String getTxtSrvYrsPoints() {
    return this.txtSrvYrsPoints;
  }
  
  public void setTxtSrvYrsPoints(String newTxtSrvYrsPoints) {
    this.txtSrvYrsPoints = newTxtSrvYrsPoints;
  }
  
  public String getTxtAvgAparPts() {
    return this.txtAvgAparPts;
  }
  
  public void setTxtAvgAparPts(String newTxtAvgAparPts) {
    this.txtAvgAparPts = newTxtAvgAparPts;
  }
  
  public String getTxtWrittenTestMarks() {
    return this.txtWrittenTestMarks;
  }
  
  public void setTxtWrittenTestMarks(String newTxtWrittenTestMarks) {
    this.txtWrittenTestMarks = newTxtWrittenTestMarks;
  }
  
  public String getTxtWrittenTestPts() {
    return this.txtWrittenTestPts;
  }
  
  public void setTxtWrittenTestPts(String newTxtWrittenTestPts) {
    this.txtWrittenTestPts = newTxtWrittenTestPts;
  }
  
  public String getTxtGDMarks() {
    return this.txtGDMarks;
  }
  
  public void setTxtGDMarks(String newTxtGDMarks) {
    this.txtGDMarks = newTxtGDMarks;
  }
  
  public String getTxtGDPts() {
    return this.txtGDPts;
  }
  
  public void setTxtGDPts(String newTxtGDPts) {
    this.txtGDPts = newTxtGDPts;
  }
  
  public String getTxtInterviewMarks() {
    return this.txtInterviewMarks;
  }
  
  public void setTxtInterviewMarks(String newTxtInterviewMarks) {
    this.txtInterviewMarks = newTxtInterviewMarks;
  }
  
  public String getTxtInterviewPts() {
    return this.txtInterviewPts;
  }
  
  public void setTxtInterviewPts(String newTxtInterviewPts) {
    this.txtInterviewPts = newTxtInterviewPts;
  }
  
  public String getTxtTotalPtsAwarded() {
    return this.txtTotalPtsAwarded;
  }
  
  public void setTxtTotalPtsAwarded(String newTxtTotalPtsAwarded) {
    this.txtTotalPtsAwarded = newTxtTotalPtsAwarded;
  }
  
  public boolean getTxtEligProm() {
    return this.txtEligProm;
  }
  
  public void setTxtEligProm(boolean newTxtEligProm) {
    this.txtEligProm = newTxtEligProm;
  }
  
  public String getEmployeeId() {
    return this.employeeId;
  }
  
  public void setEmployeeId(String newEmployeeId) {
    this.employeeId = newEmployeeId;
  }
  
  public String getHdnPrevDtlId() {
    return this.hdnPrevDtlId;
  }
  
  public void setHdnPrevDtlId(String newHdnPrevDtlId) {
    this.hdnPrevDtlId = newHdnPrevDtlId;
  }
  
  public String getTxtAparPts() {
    return this.txtAparPts;
  }
  
  public void setTxtAparPts(String newTxtAparPts) {
    this.txtAparPts = newTxtAparPts;
  }
  
  public String getHdnPromEligibility() {
    return this.hdnPromEligibility;
  }
  
  public void setHdnPromEligibility(String newHdnPromEligibility) {
    this.hdnPromEligibility = newHdnPromEligibility;
  }
  
  public String getPositionId() {
    return this.positionId;
  }
  
  public void setPositionId(String newPositionId) {
    this.positionId = newPositionId;
  }
  
  public String getScaleId() {
    return this.scaleId;
  }
  
  public void setScaleId(String newScaleId) {
    this.scaleId = newScaleId;
  }
  
  public String getHeaderPositionId() {
    return this.headerPositionId;
  }
  
  public void setHeaderPositionId(String newHeaderPositionId) {
    this.headerPositionId = newHeaderPositionId;
  }
}
